[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TCustomAction.SetAutoCheck

Sets the value for the AutoCheck property.

## Declaration

Source position: actnlist.pas line 178

`protected procedure TCustomAction.SetAutoCheck(`
`Value: Boolean`
`); virtual;`

## Arguments

`Value` |  | New value for the AutoCheck property.

## Version info

Modified in LCL version 4.0 to improve compatibility with newer Delphi VCL versions; redefined as virtual and changed to protected visibility.

## See also

TCustomAction.AutoCheck |  | AutoCheck - whether the control (e.g. a CheckBox) is to be automatically checked.
TActionLink |  | A link between an action and a client class.
TBasicAction